=============================================================================
Intel(R) Server Platforms S5000PAL / S5000XAL BMC RELEASE NOTES
=============================================================================
INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
=============================================================================
DATE:       July 12, 2007
TO:         Intel(R) server platform S5000PAL / S5000XAL customers
SUBJECT:    BMC(R) 00.60 Release Notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (c) 2007 Intel Corporation.


=============================================================================
                              ABOUT THIS RELEASE
=============================================================================
REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:

Operational code:       v00.60
Boot code:              v0B.41
PIA data:               v00.03
Manufacturer ID:        0x000157 (Intel)
Product ID:             0x0028   (S5000PAL / S5000XAL)

Checksum Information:
Operational Code
  Region:                0x00020000 -> 0x0013191e
  Checksum (HEX File):             0xcd18

Boot Block
  Region:               0x00000000 -> 0x0000557e
  Checksum (HEX file):             0x1b37


=============================================================================
			SYSTEM HARDWARE REQUIREMENTS/REVISIONS
=============================================================================
Server Board S5000PAL / S5000XAL 


=============================================================================
		       SYSTEM SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================
- FRU/SDR package:
      FAL_43

- S5000PAL / S5000XAL BIOS revision:
      R0081

- MS-DOS v6.22 (or later)


=============================================================================
                         IMPORTANT INSTALLATION NOTES
=============================================================================
- Executing the batch files can be done from any media (Hard disk, USB disk-on-
  key, shared network drive or floppy).

- When updating from BMC version 48 or previous to BMC version 49 or later 
  using fwpiaupd.exe utility please use following command:
  fwpiaupd -u -b -o -pia -nopc -ni -p filename.hex.


=============================================================================
                         INSTALLATION PROCEDURES
=============================================================================

1) Update the BMC firmware using BMC60.bat.

2) Update the SDR & FRUs with the FRU/SDR package.


=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================

-None

=============================================================================
                           FEATURES ADDED
=============================================================================
BMC 00.60:
	This release is based on AL CORE SDK 51 + Sandbox
	S5000 Refresh Release with CLTT integration

Trackers resolved:
127728: TAM module not allowing HSC polling to start until reset of system
127714: S5000PAL / S5000XAL intermittently fails power restore policy when AC returns

Note -: Following trackers/issues are fixed in core:
----------------------------------------------------
127664: SOL can't activate by OpenSource IPMITOOL
127576: There are two duplicate assertion/de-assertion events for Power Unit Redundancy sensor after DC Power Cycle.
172165: [SYS BOOT -F NORMAL & SERVICE] terminal mode command can't set the needed boot flags.
27669: Unnecessary SEL events is getting logged in AC and DC cycle 
28765: SP Owosso: Unnecessary power redundancy events observed.  
29706: OEM Issue - PEF configuration will be lost after AC or DC cycle 
29704: OEM Issue - Irregular Chassis ID LED blinking 

BMC 00.59:
	This release is based on AL CORE SDK 50 + Sandbox

Trackers resolved:
127708: TAM Module Integration 

Note -: Following trackers/issues are fixed in core:
---------------------------------------------
127615: BIOS Setup screen is observed as garbled data on remote machine.
127617: Power -on -console comand is not working
29598:  PIA configurable data: System Event Manager queue size & IPMISensorCoreEM thread 
29599:  GPO61 not supported by PC87427/SIO3 driver 
29611:  SDK - BMC cmd "Set Processor State" Unsupported state settable and unclearable. 
28775:  BMC SEL log contains inaccurate timestamp
29306:  BMC failed to respond during Sx sleep state cycling test.
29220:  Unable to read SEL entries
29608:  Ballenger-CT system cannot access serial EMP im powered off state 

BMC 00.58:
	This release is based on AL CORE SDK 49

Trackers resolved:
127630: Wrong status LED behaviour observed for Power restore policy.
28623: Status LED color irregularity observed when power restore policy is "Prior state  
Note -: Following trackers/issues are fixed in core:
---------------------------------------------
127582: Get ACPI State command returns "Legacy Power Off" when in S4 state (Hibernation)
28563: Status Led turns to solid amber color after doing a bmc refresh from OS 
28493: 'Get ACPI power state' returns wrong status in Hibernate(S4) mode  
28388:  BMC is not tracking the correct sleep states  

BMC 00.57:
	
Trackers resolved:
Note -: Following trackers/issues are fixed in core:
---------------------------------------------
127580: The firmware allowed a invalid password to log in.
28647: [X] IPMI 1.5 session can be made with any password  
NCR Issues:
1) In case of an IPMI 2.0 session IPMI_SendMessage to HSC NCR observed that BMC was leaking memory and finally 
   getting unresponsive. 
2) NCR also reported that when on a particular LAN channel if they have 1 session active and they kill all the
   other session BMC still reports all the session alive, and does not timeout on the session which were killed. 

BMC 00.56:
	This release is based on AL CORE SDK 47

Trackers resolved:
Note -: Following trackers are fixed in core:
---------------------------------------------
127516: BIOS not responding to BMC SetSystemBootOption command - Note -: At this point of time this tracker
        is resolved only for Dempsey processors.
127532: ACPI issue: When Get ACPI Status command is executed even beofre DC is on, BMC responds as S0/G0 working.
127301: After system go into shutdown, then system will auto-reboot when comport2 connected to loopback
127447: System will automatically boot up with RJ45-RS232 convert and RS232 Loopback.
28057:  Windows 32 or 64-bit will not shutdown with loopback connector on COM Port 2
127515: ALBMC54:Email Alerting is not working
28184:  TPT module is not including FML Header/FML Status/TPT Status as part of read buf  
27815:  Switching Serial MUX from System to TMODE truncates "[TMODE OK] message  
27827:  TMode will not maintain connection in standby

BMC 00.55: 
	This release is based on AL CORE SDK 46

Quad-Core Intel Xeon processor 5300 series - should say Multi-core.
4. Defect# 127531: Need to add support for 2nd PECI sensors (per proc) for Quad-Core Intel Xeon processor 5300 series PECI Support is added.

BMC 00.54:
	This release is based on AL CORE SDK 46

CCB 364: SUPPORT EMAIL ALERTS VIA ESB2/BMC ON ALL S5000 PRODUCTS IS ADDED

Trackers resolved:
127462: Discrepancy between release notes boot code version and boot code flashed.
127464: Deasserted sel event for chassis intrusion.
127447: System will automatically boot up with RJ45-RS232 convert and RS232 Loopback.
127301: After system go into shutdown, then system will auto-reboot when comport2 connected to loopback
126694: Unnecessary Characters are displayed in SOL redirection
126924: Update to BIOS R38 got error 92AB serial port B is being used by BMC as EMP port
27432:  CL: Voltage events on continuous AC Cycling and IERR/Thermal Trip issue
27488:  T-Mode Auto Detect Message  "[TMODE OK]" response is truncated  
27725:  The CPU failure LEDs on the server board are not light for processor disabling.

BMC 00.53:
	This release is based on AL CORE SDK 45A

Trackers Resolved:
27120    BMC stops responding (Error message in BIOS)  - D/C power cycle over RMCPP (dpccli) session
27215    Suspend BMC ARPs' command is not working as expected. 
27235    Sapello BMC version 48 issue (factory issue) - loopback NIC 
127244   Fully Fan redundant event [deasserted, asserted]is getting logged in DC cycyleFully Fan redundant event [deasserted, asserted]is getting logged in DC cycyle
127242	 System hangs if processor disabled thru "set proc state" command
27495    In PIA file PECI Poller Imager Type is incorrect 
27457 	 Power Redundancy event [deasserted, asserted] is getting logged in DC cycle 


BMC 00.52:
       This release is based on AL CORE SDK44a

Trackers resolved:
27456: SEL event for S3 ACPI power state is not getting logged when system goes to S3 

BMC 00.51:
       Engg Release

BMC50A Package
--------------
This release has same firmware as  BMC00.50 release based on AL Core SDK44.
The only change has been made to UPFW.bat file, used for updating BMC Firmware.
This batch file has been modified to remove platform check and prevent any boot block updates.

BMC 00.50:
       This release is based on AL CORE SDK44

Trackers resolved:
127344 - The "-nopc" option to be removed in "upfw.bat" file in the ALBMC package.

Note -: Following trackers are fixed in core:
---------------------------------------------

127224 - SLV: Front Panel Status LED stays solid Amber due to a memory error after the system is restarted
27206  - SYS statusLED is not returning to green after system restart in DIMM error cases 
27210  - SP: DIMM Errors doesn't rearm after system reset 
26980  - Starlake: BMC gets corrupted on FRUSDR update 
27003  - No deasserted SEL event is logged for processor presence(90h,91h) 
26472  - SMI errors on Star lake server sata fab5 under bios r40 - C9 
26508  - The system fault LED on the board shouldn't be amber and green at the same time 
27219  - Callahan: Sensor 0xF1 is not giving proper response for 'Get Sensor Reading' 


BMC 00.49:
       This release is based on AL CORE SDK43

Trackers resolved:
126676 - In Terminal mode some commands are not working
127014 - Tach Fan5 (0x54) goes to off state ?Stops if BMC updated using OFU utility.
127060 - Fan speed increase from "clamp" controls may take excessive time to decrease after temperature recovers
127180 - Hitting Ctrl-Alt-Delete or FP reset early in POST, or after sitting at DOS Prompt or EFI shell sometimes results in SIO fans at 100% 
127287 - Incorrect product ID was returned by Get device ID command in Firmware transfer mode.
127298 - Read PECI Poller FW Status command gives wrong "Platform ID" 
127299 - ALBMC48:Status LED is Blinking in Amberstate without SEL Event for continous DC Cycle
127308 - The fans didn't boost when increasing the CPU temperature.
127319 - ALBMC48:After Updating firmware through OFU, fans(#5Aand#54) crossing LNC,LC and status LED is Blinking in AMBER.
127339 - Change required for legal wording in BMC release notes
127349 - Release notes needs to be updated for using fwpiaupd.exe utility -nopc option


BMC 00.48:
       This release is based on AL CORE SDK41B

Trackers resolved:
26885  - BIOS setup locks up on setting the COM 2 to Always available  mode  


BMC 00.47:
       This release is based on AL CORE SDK41
       1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
       Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
       installed to match A1/C0 ESB2/Gilgal on board.
       2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to rework.

Trackers resolved:
26501  - OEM Issue - Irregular Fan boost behavior observed w/BMC43 
       - False Carrier Bit Setting
24753  - System couldn't power on immediately by pressing power button 
         while AC cycle
26261  - De-Assertion SEL events on Re-arm 
126925 - Intermittent Beep code 1-5-2-1 produced when booting with dual
         processors
127100 - CPU population error is getting logged if wood crest processor
         is used
DCN 21 - for selective re-arm of sensors by init agent
------ - Change the Product Configuration Record to have the correct 
         Product ID
------ - DC cycle on a Sapello was causing the memory leak in the system
         which would lockup the BMC after 500 or so cycles
127227-  CPU population error getting logged for Dempsey
127228-  BMC Refresh Causing system to hang
127077-  BMC rejects the Set PCIe Link State IPMI message for sensor numbers 9 through 13
127164-  The system fault LED is incorrect when some non-critical events are generated.
127165-  The system fault LED is incorrect when some critical events are generated



BMC 00.46:
       This release is based on AL CORE SDK38
	1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
	installed to match A1/C0 ESB2/Gilgal on board.
	2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to rework.

Trackers resolved:
127176 - SIO3 PWM fan output pins configured wrong.


BMC 00.45:
       This release is based on AL CORE SDK38
	1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
	installed to match A1/C0 ESB2/Gilgal on board.
	2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to rework.

Trackers resolved:
126954 - The system fault LED is going to OFF state if FAN status LED is amber ?Intermittent.
126889 - Proc 1 Vcc Out-of-Range & Proc 2 Vcc Out-of-Range sensors are 
         not supported by SDK core
126967 - LAN and serial sessions are not getting established for Straight
         password key authentication type
126959 - BMC FW Verify fails in Boot block when running from Bank 1
126934 -- Get Sensor Event Enable command returned incorrect Assertion/Deassertion Event Mask field of the Processor states sensors. 
126976 - Serial session is getting timeout
------ - allow  keeping IDEr session connected over host resets 
         (during BIOS post) to remain open and unaffected, since PHY
         resets can now be disabled
------ - GW Mac Address Corruption Fixed


BMC 00.44: Engg release
BMC 00.43: Engg release

BMC 00.42:
       This release is based on AL CORE SDK35
	1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
	installed to match A1/C0 ESB2/Gilgal on board.
	2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to 	rework.

Trackers resolved:
126277 -- The sensor failure sensor -0x86 is not getting loaded. 
126932 -- The Set NMI Source command executed successfully even when the reserved bits are set 

126933 -- The "Set In Progress" bit of the Boot Option parameters didn't be cleared 
126934 -- Get Sensor Event Enable command returned incorrect Assertion/Deassertion Event Mask field of the Processor states sensors. 
126938 -- The system fault LED is solid green in degraded state - fan redundancy sensor 
126939 -- The system fault LED is solid green in critical state - fan redundancy sensor 
126800 -- BIOS setup "Error Messages" section intermittently reports Serial
	 port device failure. on Aloclu FAB6
126860 -- BMC does not re-enable 1 processor on DC cycle if both are
         disabled
126855 -- BMC does not re-enable 1 processor on DC cycle if both are 
         disabled
125432 -- [BMC] Get AuthCode Command no function
DCN21  -- SMM support for acquiring system resources 
------ - add capability to detect external RAM presence based on external RAM
         indicator bit stored in EEPROM word offset 0x9


[END OF RELEASE NOTES]
